import { HTMLAttributes } from 'react';
export type GridProps = HTMLAttributes<HTMLDivElement> & {
    columns?: 1 | 2 | 3 | 4;
    gap?: "sm" | "md" | "lg";
};
export declare const Grid: import('react').ForwardRefExoticComponent<HTMLAttributes<HTMLDivElement> & {
    columns?: 1 | 2 | 3 | 4;
    gap?: "sm" | "md" | "lg";
} & import('react').RefAttributes<HTMLDivElement>>;
